Go Down

Topic: trying to install arduino 1.0 on a fresh install of ubuntu 11.10 (Read 1 time) previous topic - next topic

elijahlucian

thanks again for helping me out.

it still does not work. when I run in terminal this is what it shows me;

Code: [Select]
java.lang.UnsatisfiedLinkError: /home/elijahlucian/Desktop/Arduino/lib/librxtxSerial.so: /home/elijahlucian/Desktop/Arduino/lib/librxtxSerial.so: wrong ELF class: ELFCLASS32 (Possible cause: architecture word width mismatch) thrown while loading gnu.io.RXTXCommDriver
Exception in thread "main" java.lang.UnsatisfiedLinkError: /home/elijahlucian/Desktop/Arduino/lib/librxtxSerial.so: /home/elijahlucian/Desktop/Arduino/lib/librxtxSerial.so: wrong ELF class: ELFCLASS32 (Possible cause: architecture word width mismatch)
at java.lang.ClassLoader$NativeLibrary.load(Native Method)
at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1750)
at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1675)
at java.lang.Runtime.loadLibrary0(Runtime.java:840)
at java.lang.System.loadLibrary(System.java:1047)
at gnu.io.CommPortIdentifier.<clinit>(CommPortIdentifier.java:83)
at processing.app.Editor.populateSerialMenu(Editor.java:969)
at processing.app.Editor.buildToolsMenu(Editor.java:697)
at processing.app.Editor.buildMenuBar(Editor.java:482)
at processing.app.Editor.<init>(Editor.java:204)
at processing.app.Base.handleOpen(Base.java:700)
at processing.app.Base.handleOpen(Base.java:665)
at processing.app.Base.handleNew(Base.java:561)
at processing.app.Base.<init>(Base.java:301)
at processing.app.Base.main(Base.java:190)
 


after which it doesn't do anything. the terminal stays open.

SurferTim

Are you using a 32 bit version of Ubuntu? And downloading the 32 bit Linux version of the IDE?

elijahlucian

im 99% sure I'm running the 32-bit linux and I am positive I downloaded the 32-bit arduino 1.0

elijahlucian

wow... ok. apparently I installed the 64-bit OS! argh. I didnt mean to do that. I only have 4gb ram...

ah well anyways. thanks for all the help folks! I really really appreciate it.

Downloaded the 64 bit linux 1.0 and it works instantly *facepalm*

Go Up